
from collections import namedtuple


TimeSeries = namedtuple('TimeSeries', 'name, output_var, where, repoption, restrictoption, operation')
ReportedMap = namedtuple('ReportedMap', 'name, output_var, unit, end, steps, all, restrictoption, monthly, yearly')


default_options = {   u'EnKF': False,
    u'InitLisflood': True,
    u'InitLisfloodwithoutSplit': False,
    u'MonteCarlo': False,
    u'SplitRouting': False,
    u'TemperatureInKelvin': False,
    u'TransLoss': False,
    u'TransientLandUseChange': False,
    u'TransientWaterDemandChange': False,
    u'drainedIrrigation': False,
    u'dynamicWave': False,
    u'gridSizeUserDefined': False,
    u'groundwaterSmooth': False,
    u'indicator': False,
    u'inflow': False,
    'nonInit': False,
    u'openwaterevapo': True,
    u'readNetcdfStack': False,
    u'repAverageDis': False,
    u'repBal1': False,
    u'repChanCrossSectionMaps': False,
    u'repCumInterCeptionMaps': False,
    u'repDSLRMaps': False,
    u'repDischargeMaps': False,
    u'repDischargeTs': True,
    u'repE2O1': False,
    u'repE2O2': False,
    u'repESActMaps': False,
    u'repESRefMaps': False,
    u'repETRefMaps': False,
    u'repEWIntMaps': False,
    u'repEWRefMaps': False,
    u'repEndMaps': True,
    u'repFastRunoffMaps': False,
    u'repFrostIndexMaps': False,
    u'repGwLossMaps': False,
    u'repGwPercUZLZMaps': False,
    u'repInfiltrationMaps': False,
    u'repInterceptionMaps': False,
    u'repInternalCom': False,
    u'repLZAvInflowMap': False,
    u'repLZAvInflowSites': False,
    u'repLZAvInflowUpsGauges': False,
    u'repLZMaps': False,
    u'repLZOutflowMaps': False,
    u'repLeafDrainageMaps': False,
    u'repMBTs': False,
    u'repMeteoUpsGauges': False,
    u'repPFForestMaps': False,
    u'repPFMaps': False,
    u'repPFSites': False,
    u'repPFUpsGauges': False,
    u'repPercolationMaps': False,
    u'repPrecipitationMaps': False,
    u'repPrefFlowMaps': False,
    u'repRWS': False,
    u'repRainMaps': False,
    u'repRateSites': False,
    u'repRateUpsGauges': False,
    u'repSeepSubToGWMaps': False,
    u'repSnowCoverMaps': False,
    u'repSnowMaps': False,
    u'repSnowMeltMaps': False,
    u'repStateMaps': True,
    u'repStateSites': False,
    u'repStateUpsGauges': False,
    u'repStressDays': False,
    u'repSurfaceRunoffMaps': False,
    u'repTaMaps': False,
    u'repTavgMaps': False,
    u'repThetaForestMaps': False,
    u'repThetaIrrigationMaps': False,
    u'repThetaMaps': False,
    u'repTotalAbs': False,
    u'repTotalRunoffMaps': False,
    u'repTotalWUse': False,
    u'repUZMaps': False,
    u'repUZOutflowMaps': False,
    u'repWIndex': False,
    u'repWaterDepthMaps': False,
    u'repWaterLevelMaps': False,
    u'repWaterLevelTs': False,
    'reportedmaps': {   u'AreaTotalAbstractionFromGroundwaterM3': ReportedMap(name=u'AreaTotalAbstractionFromGroundwaterM3', output_var=u'AreaTotalAbstractionFromGroundwaterM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'AreaTotalAbstractionFromSurfaceWaterM3': ReportedMap(name=u'AreaTotalAbstractionFromSurfaceWaterM3', output_var=u'AreaTotalAbstractionFromSurfaceWaterM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'AreatotalIrrigationUseM3': ReportedMap(name=u'AreatotalIrrigationUseM3', output_var=u'AreatotalIrrigationUseM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'AreatotalWaterAbstractedfromLakesReservoirsM3': ReportedMap(name=u'AreatotalWaterAbstractedfromLakesReservoirsM3', output_var=u'AreatotalWaterAbstractedfromLakesReservoirsM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'AvgDis': ReportedMap(name=u'AvgDis', output_var=u'avgdis', unit=u'm3/s', end=[u'InitLisflood'], steps=[u''], all=[u''], restrictoption=[u'SplitRouting'], monthly=False, yearly=False),
                        u'ChSideEnd': ReportedMap(name=u'ChSideEnd', output_var=u'Sideflow1Chan', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit', u'SplitRouting'], monthly=False, yearly=False),
                        u'ChSideState': ReportedMap(name=u'ChSideState', output_var=u'Sideflow1Chan', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit', u'SplitRouting'], monthly=False, yearly=False),
                        u'ChanCrossSectionEnd': ReportedMap(name=u'ChanCrossSectionEnd', output_var=u'TotalCrossSectionArea', unit=u'm2', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ChanCrossSectionMaps': ReportedMap(name=u'ChanCrossSectionMaps', output_var=u'TotalCrossSectionArea', unit=u'm2', end=[u''], steps=[u''], all=[u'repChanCrossSectionMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ChanCrossSectionState': ReportedMap(name=u'ChanCrossSectionState', output_var=u'TotalCrossSectionArea', unit=u'm2', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ChanQEnd': ReportedMap(name=u'ChanQEnd', output_var=u'ChanQ', unit=u'm3/s', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ChanQState': ReportedMap(name=u'ChanQState', output_var=u'ChanQ', unit=u'm3/s', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CrossSection2End': ReportedMap(name=u'CrossSection2End', output_var=u'CrossSection2Area', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit', u'SplitRouting'], monthly=False, yearly=False),
                        u'CrossSection2State': ReportedMap(name=u'CrossSection2State', output_var=u'CrossSection2Area', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit', u'SplitRouting'], monthly=False, yearly=False),
                        u'CumIntSealedEnd': ReportedMap(name=u'CumIntSealedEnd', output_var=u'CumInterSealed', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumIntSealedState': ReportedMap(name=u'CumIntSealedState', output_var=u'CumInterSealed', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionEnd': ReportedMap(name=u'CumInterceptionEnd', output_var=u'CumInterception[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionForestEnd': ReportedMap(name=u'CumInterceptionForestEnd', output_var=u'CumInterception[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionForestMaps': ReportedMap(name=u'CumInterceptionForestMaps', output_var=u'CumInterception[1]', unit=u'm', end=[u''], steps=[u''], all=[u'repCumInterCeptionMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionForestState': ReportedMap(name=u'CumInterceptionForestState', output_var=u'CumInterception[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionIrrigationEnd': ReportedMap(name=u'CumInterceptionIrrigationEnd', output_var=u'CumInterception[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionIrrigationState': ReportedMap(name=u'CumInterceptionIrrigationState', output_var=u'CumInterception[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionMaps': ReportedMap(name=u'CumInterceptionMaps', output_var=u'CumInterception[0]', unit=u'm', end=[u''], steps=[u''], all=[u'repCumInterCeptionMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'CumInterceptionState': ReportedMap(name=u'CumInterceptionState', output_var=u'CumInterception[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLREnd': ReportedMap(name=u'DSLREnd', output_var=u'DSLR[0]', unit=u'-', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRForestEnd': ReportedMap(name=u'DSLRForestEnd', output_var=u'DSLR[1]', unit=u'-', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRForestMaps': ReportedMap(name=u'DSLRForestMaps', output_var=u'DSLR[1]', unit=u'', end=[u''], steps=[u''], all=[u'repDSLRMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRForestState': ReportedMap(name=u'DSLRForestState', output_var=u'DSLR[1]', unit=u'-', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRIrrigationEnd': ReportedMap(name=u'DSLRIrrigationEnd', output_var=u'DSLR[2]', unit=u'-', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRIrrigationState': ReportedMap(name=u'DSLRIrrigationState', output_var=u'DSLR[2]', unit=u'-', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRMaps': ReportedMap(name=u'DSLRMaps', output_var=u'DSLR[0]', unit=u'', end=[u''], steps=[u''], all=[u'repDSLRMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DSLRState': ReportedMap(name=u'DSLRState', output_var=u'DSLR[0]', unit=u'-', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DirectRunoffMaps': ReportedMap(name=u'DirectRunoffMaps', output_var=u'DirectRunoff', unit=u'mm', end=[u''], steps=[u''], all=[u'repSurfaceRunoffMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DischargeEnd': ReportedMap(name=u'DischargeEnd', output_var=u'ChanQAvg', unit=u'm3/s', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'DischargeMaps': ReportedMap(name=u'DischargeMaps', output_var=u'ChanQAvg', unit=u'm3/s', end=[u''], steps=[u''], all=[u'repDischargeMaps'], restrictoption=[], monthly=False, yearly=False),
                        u'DomesticConsumptiveUse': ReportedMap(name=u'DomesticConsumptiveUse', output_var=u'DomesticConsumptiveUseMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'EFlowIndicator': ReportedMap(name=u'EFlowIndicator', output_var=u'EFlowIndicator', unit=u'-', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'ESActForestMaps': ReportedMap(name=u'ESActForestMaps', output_var=u'ESAct[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repESActMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ESActMaps': ReportedMap(name=u'ESActMaps', output_var=u'ESActPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ESRefMapsOut': ReportedMap(name=u'ESRefMapsOut', output_var=u'ESRef', unit=u'mm', end=[u''], steps=[u''], all=[u'repESRefMaps'], restrictoption=[u''], monthly=False, yearly=False),
                        u'ETActMaps': ReportedMap(name=u'ETActMaps', output_var=u'ESActPixel+self.var.TaPixel+self.var.TaInterceptionAll+self.var.EvaAddM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'ETRefMapsOut': ReportedMap(name=u'ETRefMapsOut', output_var=u'ETRef', unit=u'mm', end=[u''], steps=[u''], all=[u'repETRefMaps'], restrictoption=[u''], monthly=False, yearly=False),
                        u'EWIntForestMaps': ReportedMap(name=u'EWIntForestMaps', output_var=u'TaInterception[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repEWIntMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'EWIntMaps': ReportedMap(name=u'EWIntMaps', output_var=u'TaInterceptionAll', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'EWRefMapsOut': ReportedMap(name=u'EWRefMapsOut', output_var=u'EWRef', unit=u'mm', end=[u''], steps=[u''], all=[u'repEWRefMaps'], restrictoption=[u''], monthly=False, yearly=False),
                        u'EWater': ReportedMap(name=u'EWater', output_var=u'EvaAddM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'EnergyConsumptiveUse': ReportedMap(name=u'EnergyConsumptiveUse', output_var=u'EnergyConsumptiveUseMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'FalkenmarkM3Capita1': ReportedMap(name=u'FalkenmarkM3Capita1', output_var=u'FalkenmarkM3Capita1', unit=u'M3Capita', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'FalkenmarkM3Capita2': ReportedMap(name=u'FalkenmarkM3Capita2', output_var=u'FalkenmarkM3Capita2', unit=u'M3Capita', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'FalkenmarkM3Capita3': ReportedMap(name=u'FalkenmarkM3Capita3', output_var=u'FalkenmarkM3Capita3', unit=u'M3Capita', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'FastRunoffMaps': ReportedMap(name=u'FastRunoffMaps', output_var=u'SurfaceRunoff+self.var.UZOutflowPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'FractionAbstractedFromChannels': ReportedMap(name=u'FractionAbstractedFromChannels', output_var=u'FractionAbstractedFromChannels', unit=u'-', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'FrostIndexEnd': ReportedMap(name=u'FrostIndexEnd', output_var=u'FrostIndex', unit=u'-', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'FrostIndexMaps': ReportedMap(name=u'FrostIndexMaps', output_var=u'FrostIndex', unit=u'-', end=[u''], steps=[u''], all=[u'repFrostIndexMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'FrostIndexState': ReportedMap(name=u'FrostIndexState', output_var=u'FrostIndex', unit=u'-', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'GwLossMaps': ReportedMap(name=u'GwLossMaps', output_var=u'GwLossPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'GwPercUZLZForestMaps': ReportedMap(name=u'GwPercUZLZForestMaps', output_var=u'GwPercUZLZ[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repGwPercUZLZMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'GwPercUZLZMaps': ReportedMap(name=u'GwPercUZLZMaps', output_var=u'GwPercUZLZPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'IndustrialConsumptiveUse': ReportedMap(name=u'IndustrialConsumptiveUse', output_var=u'IndustrialConsumptiveUseMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'InfiltrationForestMaps': ReportedMap(name=u'InfiltrationForestMaps', output_var=u'Infiltration[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repInfiltrationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'InfiltrationMaps': ReportedMap(name=u'InfiltrationMaps', output_var=u'Infiltration[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repInfiltrationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'InterceptionForestMaps': ReportedMap(name=u'InterceptionForestMaps', output_var=u'Interception[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repInterceptionMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'InterceptionMaps': ReportedMap(name=u'InterceptionMaps', output_var=u'Interception[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repInterceptionMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'IrrigationWaterAbstraction': ReportedMap(name=u'IrrigationWaterAbstraction', output_var=u'IrrigationWaterAbstractionM3*self.var.M3toMM + self.var.PaddyRiceWaterAbstractionFromSurfaceWaterM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'LZAvInflowMap': ReportedMap(name=u'LZAvInflowMap', output_var=u'LZAvInflow', unit=u'mm', end=[u'InitLisflood', u'repLZAvInflowMap'], steps=[u''], all=[u''], restrictoption=[], monthly=False, yearly=False),
                        u'LZEnd': ReportedMap(name=u'LZEnd', output_var=u'LZ', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LZMaps': ReportedMap(name=u'LZMaps', output_var=u'LZ', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LZOutflowMaps': ReportedMap(name=u'LZOutflowMaps', output_var=u'LZOutflowToChannelPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LZState': ReportedMap(name=u'LZState', output_var=u'LZ', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LakeAbstractionM3': ReportedMap(name=u'LakeAbstractionM3', output_var=u'LakeAbstractionM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'simulateLakes'], monthly=False, yearly=False),
                        u'LakeLevelEnd': ReportedMap(name=u'LakeLevelEnd', output_var=u'LakeLevel', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit', u'simulateLakes'], monthly=False, yearly=False),
                        u'LakeLevelState': ReportedMap(name=u'LakeLevelState', output_var=u'LakeLevel', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit', u'simulateLakes'], monthly=False, yearly=False),
                        u'LakeStorageM3': ReportedMap(name=u'LakeStorageM3', output_var=u'LakeStorageM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'simulateLakes'], monthly=False, yearly=False),
                        u'LeafDrainageForestMaps': ReportedMap(name=u'LeafDrainageForestMaps', output_var=u'LeafDrainage[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repLeafDrainageMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LeafDrainageMaps': ReportedMap(name=u'LeafDrainageMaps', output_var=u'LeafDrainage[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repLeafDrainageMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'LivestockConsumptiveUse': ReportedMap(name=u'LivestockConsumptiveUse', output_var=u'LivestockConsumptiveUseMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'MonthETactMM': ReportedMap(name=u'MonthETactMM', output_var=u'MonthETactMM', unit=u'mm', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'MonthETdifMM': ReportedMap(name=u'MonthETdifMM', output_var=u'MonthETdifMM', unit=u'mm', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'MonthETpotMM': ReportedMap(name=u'MonthETpotMM', output_var=u'MonthETpotMM', unit=u'mm', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'', u'indicator'], monthly=False, yearly=False),
                        u'OFDirectEnd': ReportedMap(name=u'OFDirectEnd', output_var=u'OFM3Direct', unit=u'm3', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFDirectMaps': ReportedMap(name=u'OFDirectMaps', output_var=u'OFM3Direct', unit=u'm3', end=[u''], steps=[u''], all=[u'repWaterDepthMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFDirectState': ReportedMap(name=u'OFDirectState', output_var=u'OFM3Direct', unit=u'm3', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFForestEnd': ReportedMap(name=u'OFForestEnd', output_var=u'OFM3Forest', unit=u'm3', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFForestMaps': ReportedMap(name=u'OFForestMaps', output_var=u'OFM3Forest', unit=u'm3', end=[u''], steps=[u''], all=[u'repWaterDepthMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFForestState': ReportedMap(name=u'OFForestState', output_var=u'OFM3Forest', unit=u'm3', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFOtherEnd': ReportedMap(name=u'OFOtherEnd', output_var=u'OFM3Other', unit=u'm3', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFOtherMaps': ReportedMap(name=u'OFOtherMaps', output_var=u'OFM3Other', unit=u'm3', end=[u''], steps=[u''], all=[u'repWaterDepthMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'OFOtherState': ReportedMap(name=u'OFOtherState', output_var=u'OFM3Other', unit=u'm3', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'PF1ForestMaps': ReportedMap(name=u'PF1ForestMaps', output_var=u'pF0[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPFForestMaps'], restrictoption=[u'nonInit', u'simulatePF'], monthly=False, yearly=False),
                        u'PF1Maps': ReportedMap(name=u'PF1Maps', output_var=u'pF0[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPFMaps'], restrictoption=[u'nonInit', u'simulatePF'], monthly=False, yearly=False),
                        u'PF2ForestMaps': ReportedMap(name=u'PF2ForestMaps', output_var=u'pF1[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPFForestMaps'], restrictoption=[u'nonInit', u'simulatePF'], monthly=False, yearly=False),
                        u'PF2Maps': ReportedMap(name=u'PF2Maps', output_var=u'pF1[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPFMaps'], restrictoption=[u'nonInit', u'simulatePF'], monthly=False, yearly=False),
                        u'PF3Maps': ReportedMap(name=u'PF3Maps', output_var=u'pF2[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPFMaps'], restrictoption=[u'nonInit', u'simulatePF'], monthly=False, yearly=False),
                        u'PercolationForestMaps': ReportedMap(name=u'PercolationForestMaps', output_var=u'SeepTopToSub[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPercolationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'PercolationMaps': ReportedMap(name=u'PercolationMaps', output_var=u'SeepTopToSub[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPercolationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'PolderLevelEnd': ReportedMap(name=u'PolderLevelEnd', output_var=u'PolderLevel', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit', u'simulatePolders'], monthly=False, yearly=False),
                        u'PolderLevelState': ReportedMap(name=u'PolderLevelState', output_var=u'PolderLevel', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit', u'simulatePolders'], monthly=False, yearly=False),
                        u'PotentialSurfaceWaterAvailabilityForIrrigationM3': ReportedMap(name=u'PotentialSurfaceWaterAvailabilityForIrrigationM3', output_var=u'PotentialSurfaceWaterAvailabilityForIrrigationM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'PrecipitationMapsOut': ReportedMap(name=u'PrecipitationMapsOut', output_var=u'Precipitation', unit=u'mm/timestep', end=[u''], steps=[u''], all=[u'repPrecipitationMaps'], restrictoption=[u''], monthly=False, yearly=False),
                        u'PrefFlowForestMaps': ReportedMap(name=u'PrefFlowForestMaps', output_var=u'PrefFlow[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repPrefFlowMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'PrefFlowMaps': ReportedMap(name=u'PrefFlowMaps', output_var=u'PrefFlowPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'RainMaps': ReportedMap(name=u'RainMaps', output_var=u'Rain', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'RegionMonthExternalInflowM3': ReportedMap(name=u'RegionMonthExternalInflowM3', output_var=u'RegionMonthExternalInflowM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthInternalFlowM3': ReportedMap(name=u'RegionMonthInternalFlowM3', output_var=u'RegionMonthInternalFlowM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthIrrigationShortageM3': ReportedMap(name=u'RegionMonthIrrigationShortageM3', output_var=u'RegionMonthIrrigationShortageM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthReservoirAndLakeStorageM3': ReportedMap(name=u'RegionMonthReservoirAndLakeStorageM3', output_var=u'RegionMonthReservoirAndLakeStorageM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthWAbstractionM3': ReportedMap(name=u'RegionMonthWAbstractionM3', output_var=u'RegionMonthWAbstractionM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthWConsumptionM3': ReportedMap(name=u'RegionMonthWConsumptionM3', output_var=u'RegionMonthWConsumptionM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthWDemandM3': ReportedMap(name=u'RegionMonthWDemandM3', output_var=u'RegionMonthWDemandM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'RegionMonthWaterAbstractedfromLakesReservoirsM3': ReportedMap(name=u'RegionMonthWaterAbstractedfromLakesReservoirsM3', output_var=u'RegionMonthWaterAbstractedfromLakesReservoirsM3', unit=u'M3', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion', u'indicator'], monthly=False, yearly=False),
                        u'ReservoirAbstractionM3': ReportedMap(name=u'ReservoirAbstractionM3', output_var=u'ReservoirAbstractionM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'simulateReservoirs'], monthly=False, yearly=False),
                        u'ReservoirFillEnd': ReportedMap(name=u'ReservoirFillEnd', output_var=u'ReservoirFill', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit', u'simulateReservoirs'], monthly=False, yearly=False),
                        u'ReservoirFillState': ReportedMap(name=u'ReservoirFillState', output_var=u'ReservoirFill', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit', u'simulateReservoirs'], monthly=False, yearly=False),
                        u'ReservoirStorageM3': ReportedMap(name=u'ReservoirStorageM3', output_var=u'ReservoirStorageM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'simulateReservoirs'], monthly=False, yearly=False),
                        u'SMStressForestMap': ReportedMap(name=u'SMStressForestMap', output_var=u'SoilMoistureStressDays[1]', unit=u'days', end=[u''], steps=[u''], all=[u'repStressDays'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SMStressMap': ReportedMap(name=u'SMStressMap', output_var=u'SoilMoistureStressDays[0]', unit=u'days', end=[u''], steps=[u''], all=[u'repStressDays'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SeepSubToGWForestMaps': ReportedMap(name=u'SeepSubToGWForestMaps', output_var=u'SeepSubToGW[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repSeepSubToGWMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SeepSubToGWMaps': ReportedMap(name=u'SeepSubToGWMaps', output_var=u'SeepSubToGWPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverAEnd': ReportedMap(name=u'SnowCoverAEnd', output_var=u'SnowCoverS[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverAState': ReportedMap(name=u'SnowCoverAState', output_var=u'SnowCoverS[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverBEnd': ReportedMap(name=u'SnowCoverBEnd', output_var=u'SnowCoverS[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverBState': ReportedMap(name=u'SnowCoverBState', output_var=u'SnowCoverS[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverCEnd': ReportedMap(name=u'SnowCoverCEnd', output_var=u'SnowCoverS[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverCState': ReportedMap(name=u'SnowCoverCState', output_var=u'SnowCoverS[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowCoverMaps': ReportedMap(name=u'SnowCoverMaps', output_var=u'SnowCover', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowMaps': ReportedMap(name=u'SnowMaps', output_var=u'Snow', unit=u'mm', end=[u''], steps=[u''], all=[u'repSnowMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SnowMeltMaps': ReportedMap(name=u'SnowMeltMaps', output_var=u'SnowMelt', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'SurfaceRunoffMaps': ReportedMap(name=u'SurfaceRunoffMaps', output_var=u'SurfaceRunoff', unit=u'mm', end=[u''], steps=[u''], all=[u'repSurfaceRunoffMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TaForestMaps': ReportedMap(name=u'TaForestMaps', output_var=u'Ta[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repTaMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TaMaps': ReportedMap(name=u'TaMaps', output_var=u'TaPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TavgMapsOut': ReportedMap(name=u'TavgMapsOut', output_var=u'Tavg', unit=u'degree', end=[u''], steps=[u''], all=[u'repTavgMaps'], restrictoption=[u''], monthly=False, yearly=False),
                        u'Theta1End': ReportedMap(name=u'Theta1End', output_var=u'Theta1a[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1ForestEnd': ReportedMap(name=u'Theta1ForestEnd', output_var=u'Theta1a[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1ForestMaps': ReportedMap(name=u'Theta1ForestMaps', output_var=u'Theta1a[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaForestMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1ForestState': ReportedMap(name=u'Theta1ForestState', output_var=u'Theta1a[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1IrrigationEnd': ReportedMap(name=u'Theta1IrrigationEnd', output_var=u'Theta1a[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1IrrigationMaps': ReportedMap(name=u'Theta1IrrigationMaps', output_var=u'Theta1a[2]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaIrrigationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1IrrigationState': ReportedMap(name=u'Theta1IrrigationState', output_var=u'Theta1a[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1Maps': ReportedMap(name=u'Theta1Maps', output_var=u'Theta1a[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta1State': ReportedMap(name=u'Theta1State', output_var=u'Theta1a[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2End': ReportedMap(name=u'Theta2End', output_var=u'Theta1b[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2ForestEnd': ReportedMap(name=u'Theta2ForestEnd', output_var=u'Theta1b[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2ForestMaps': ReportedMap(name=u'Theta2ForestMaps', output_var=u'Theta1b[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaForestMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2ForestState': ReportedMap(name=u'Theta2ForestState', output_var=u'Theta1b[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2IrrigationEnd': ReportedMap(name=u'Theta2IrrigationEnd', output_var=u'Theta1b[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2IrrigationMaps': ReportedMap(name=u'Theta2IrrigationMaps', output_var=u'Theta1b[2]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaIrrigationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2IrrigationState': ReportedMap(name=u'Theta2IrrigationState', output_var=u'Theta1b[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2Maps': ReportedMap(name=u'Theta2Maps', output_var=u'Theta1b[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta2State': ReportedMap(name=u'Theta2State', output_var=u'Theta1b[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3End': ReportedMap(name=u'Theta3End', output_var=u'Theta2[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3ForestEnd': ReportedMap(name=u'Theta3ForestEnd', output_var=u'Theta2[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3ForestMaps': ReportedMap(name=u'Theta3ForestMaps', output_var=u'Theta2[1]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaForestMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3ForestState': ReportedMap(name=u'Theta3ForestState', output_var=u'Theta2[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3IrrigationEnd': ReportedMap(name=u'Theta3IrrigationEnd', output_var=u'Theta2[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3IrrigationMaps': ReportedMap(name=u'Theta3IrrigationMaps', output_var=u'Theta2[2]', unit=u'mm', end=[u''], steps=[u''], all=[u'repThetaIrrigationMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3IrrigationState': ReportedMap(name=u'Theta3IrrigationState', output_var=u'Theta2[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3Maps': ReportedMap(name=u'Theta3Maps', output_var=u'Theta2[0]', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'Theta3State': ReportedMap(name=u'Theta3State', output_var=u'Theta2[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TotalAbsGroundwater': ReportedMap(name=u'TotalAbsGroundwater', output_var=u'TotalAbstractionFromGroundwaterM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalAbsGroundwaterRegion': ReportedMap(name=u'TotalAbsGroundwaterRegion', output_var=u'AreaTotalAbstractionFromGroundwaterM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion'], monthly=False, yearly=False),
                        u'TotalAbsSurface': ReportedMap(name=u'TotalAbsSurface', output_var=u'TotalAbstractionFromSurfaceWaterM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalAbsSurfaceRegion': ReportedMap(name=u'TotalAbsSurfaceRegion', output_var=u'AreaTotalAbstractionFromSurfaceWaterM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion'], monthly=False, yearly=False),
                        u'TotalAbstractionFromGroundwaterM3': ReportedMap(name=u'TotalAbstractionFromGroundwaterM3', output_var=u'TotalAbstractionFromGroundwaterM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalAbstractionFromSurfaceWaterM3': ReportedMap(name=u'TotalAbstractionFromSurfaceWaterM3', output_var=u'TotalAbstractionFromSurfaceWaterM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalDemandM3': ReportedMap(name=u'TotalDemandM3', output_var=u'TotalDemandM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalIrrigationAbstractionM3': ReportedMap(name=u'TotalIrrigationAbstractionM3', output_var=u'TotalIrrigationAbstractionM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalLivestockAbstractionM3': ReportedMap(name=u'TotalLivestockAbstractionM3', output_var=u'TotalLivestockAbstractionM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalPaddyRiceIrrigationAbstractionM3': ReportedMap(name=u'TotalPaddyRiceIrrigationAbstractionM3', output_var=u'TotalPaddyRiceIrrigationAbstractionM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalRunoffMaps': ReportedMap(name=u'TotalRunoffMaps', output_var=u'ToChanM3Runoff*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O1'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TotalToChanMaps': ReportedMap(name=u'TotalToChanMaps', output_var=u'ToChanM3Runoff*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u''], all=[u'repSurfaceRunoffMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'TotalWUse': ReportedMap(name=u'TotalWUse', output_var=u'WUseAddM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalWUse'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'TotalWUseRegion': ReportedMap(name=u'TotalWUseRegion', output_var=u'totalAddM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u'repTotalWUse'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'wateruseRegion'], monthly=False, yearly=False),
                        u'UZEnd': ReportedMap(name=u'UZEnd', output_var=u'UZ[0]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZForestEnd': ReportedMap(name=u'UZForestEnd', output_var=u'UZ[1]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZForestMaps': ReportedMap(name=u'UZForestMaps', output_var=u'UZ[1]', unit=u'm', end=[u''], steps=[u''], all=[u'repUZMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZForestState': ReportedMap(name=u'UZForestState', output_var=u'UZ[1]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZIrrigationEnd': ReportedMap(name=u'UZIrrigationEnd', output_var=u'UZ[2]', unit=u'mm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZIrrigationState': ReportedMap(name=u'UZIrrigationState', output_var=u'UZ[2]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZMaps': ReportedMap(name=u'UZMaps', output_var=u'UZ[0]', unit=u'm', end=[u''], steps=[u''], all=[u'repUZMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZOutflowForestMaps': ReportedMap(name=u'UZOutflowForestMaps', output_var=u'UZOutflowPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repUZOutflowMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZOutflowMaps': ReportedMap(name=u'UZOutflowMaps', output_var=u'UZOutflowPixel', unit=u'mm', end=[u''], steps=[u''], all=[u'repUZOutflowMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'UZState': ReportedMap(name=u'UZState', output_var=u'UZ[0]', unit=u'mm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'WEI_Abs': ReportedMap(name=u'WEI_Abs', output_var=u'WEI_Abs', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WEI_Cns': ReportedMap(name=u'WEI_Cns', output_var=u'WEI_Cns', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WEI_Dem': ReportedMap(name=u'WEI_Dem', output_var=u'WEI_Dem', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WUseAddM3': ReportedMap(name=u'WUseAddM3', output_var=u'WUseAddM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False),
                        u'WaterDependencyIndex': ReportedMap(name=u'WaterDependencyIndex', output_var=u'WaterDependencyIndex', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WaterDepthEnd': ReportedMap(name=u'WaterDepthEnd', output_var=u'WaterDepth', unit=u'm', end=[u'repEndMaps'], steps=[u''], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'WaterDepthMaps': ReportedMap(name=u'WaterDepthMaps', output_var=u'WaterDepth', unit=u'm', end=[u''], steps=[u''], all=[u'repWaterDepthMaps'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'WaterDepthState': ReportedMap(name=u'WaterDepthState', output_var=u'WaterDepth', unit=u'm', end=[u''], steps=[u'repStateMaps'], all=[u''], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'WaterSecurityIndex': ReportedMap(name=u'WaterSecurityIndex', output_var=u'WaterSecurityIndex', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WaterSustainabilityIndex': ReportedMap(name=u'WaterSustainabilityIndex', output_var=u'WaterSustainabilityIndex', unit=u'-', end=[u''], steps=[u'repWIndex'], all=[u''], restrictoption=[u'nonInit', u'wateruse', u'indicator'], monthly=False, yearly=False),
                        u'WaterUseMaps': ReportedMap(name=u'WaterUseMaps', output_var=u'WUseAddM3*self.var.M3toMM', unit=u'mm', end=[u''], steps=[u''], all=[u'repE2O2'], restrictoption=[u'nonInit'], monthly=False, yearly=False),
                        u'totalAddM3': ReportedMap(name=u'totalAddM3', output_var=u'totalAddM3', unit=u'm3', end=[u''], steps=[u'repTotalAbs'], all=[u''], restrictoption=[u'nonInit', u'wateruse'], monthly=False, yearly=False)},
    u'repsimulateLakes': False,
    u'repsimulatePolders': False,
    u'repsimulateReservoirs': False,
    u'repwateruseGauges': False,
    u'repwateruseSites': False,
    u'riceIrrigation': False,
    u'simulateLakes': False,
    u'simulatePF': False,
    u'simulatePolders': False,
    u'simulateReservoirs': False,
    u'simulateWaterLevels': False,
    'timeseries': {   u'DSLRAvUpsTS': TimeSeries(name=u'DSLRAvUpsTS', output_var=u'DSLR[0]', where=u'Gauges', repoption=[u'repStateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'DSLRTS': TimeSeries(name=u'DSLRTS', output_var=u'DSLR[0]', where=u'Sites', repoption=[u'repStateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'DisTS': TimeSeries(name=u'DisTS', output_var=u'ChanQAvg', where=u'Gauges', repoption=[u'repDischargeTs'], restrictoption=[''], operation=['']),
                      u'ESActAvUpsTS': TimeSeries(name=u'ESActAvUpsTS', output_var=u'ESActPixel', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'ESActTS': TimeSeries(name=u'ESActTS', output_var=u'ESActPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'ETRefAvUpsTS': TimeSeries(name=u'ETRefAvUpsTS', output_var=u'ETRef', where=u'Gauges', repoption=[u'repMeteoUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'EWIntAvUpsTS': TimeSeries(name=u'EWIntAvUpsTS', output_var=u'TaInterceptionAll', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'EWIntTS': TimeSeries(name=u'EWIntTS', output_var=u'TaInterceptionAll', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'EWRefAvUpsTS': TimeSeries(name=u'EWRefAvUpsTS', output_var=u'EWRef', where=u'Gauges', repoption=[u'repMeteoUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'EvaOpenWaterAvUpsTS': TimeSeries(name=u'EvaOpenWaterAvUpsTS', output_var=u'EvaAddM3*self.var.M3toMM', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'FrostIndexAvUpsTS': TimeSeries(name=u'FrostIndexAvUpsTS', output_var=u'FrostIndex', where=u'Gauges', repoption=[u'repStateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'FrostIndexTS': TimeSeries(name=u'FrostIndexTS', output_var=u'FrostIndex', where=u'Sites', repoption=[u'repStateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'GwLossAvUpsTS': TimeSeries(name=u'GwLossAvUpsTS', output_var=u'GwLossPixel', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u''], operation=[u'total']),
                      u'GwLossTS': TimeSeries(name=u'GwLossTS', output_var=u'GwLossPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'GwPercUZLZAvUpsTS': TimeSeries(name=u'GwPercUZLZAvUpsTS', output_var=u'GwPercUZLZPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'GwPercUZLZTS': TimeSeries(name=u'GwPercUZLZTS', output_var=u'GwPercUZLZPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'InfiltrationAvUpsTS': TimeSeries(name=u'InfiltrationAvUpsTS', output_var=u'InfiltrationPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'InfiltrationTS': TimeSeries(name=u'InfiltrationTS', output_var=u'InfiltrationPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'LZAvInflowAvUps': TimeSeries(name=u'LZAvInflowAvUps', output_var=u'LZAvInflow', where=u'Gauges', repoption=[u'repLZAvInflowUpsGauges'], restrictoption=[''], operation=[u'total']),
                      u'LZAvInflowTS': TimeSeries(name=u'LZAvInflowTS', output_var=u'LZAvInflow', where=u'Sites', repoption=[u'repLZAvInflowSites'], restrictoption=[''], operation=['']),
                      u'LZAvUpsTS': TimeSeries(name=u'LZAvUpsTS', output_var=u'LZ', where=u'Gauges', repoption=[u'repStateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'LZOutflowAvUpsTS': TimeSeries(name=u'LZOutflowAvUpsTS', output_var=u'LZOutflowToChannelPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'LZOutflowTS': TimeSeries(name=u'LZOutflowTS', output_var=u'LZOutflowToChannelPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'LZTS': TimeSeries(name=u'LZTS', output_var=u'LZ', where=u'Sites', repoption=[u'repStateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'LakeInflowTS': TimeSeries(name=u'LakeInflowTS', output_var=u'LakeInflowM3S', where=u'LakeSites', repoption=[u'repsimulateLakes'], restrictoption=[u'nonInit', u'simulateLakes'], operation=['']),
                      u'LakeLevelTS': TimeSeries(name=u'LakeLevelTS', output_var=u'LakeLevel', where=u'LakeSites', repoption=[u'repsimulateLakes'], restrictoption=[u'nonInit', u'simulateLakes'], operation=['']),
                      u'LakeOutflowTS': TimeSeries(name=u'LakeOutflowTS', output_var=u'LakeOutflowM3S', where=u'LakeSites', repoption=[u'repsimulateLakes'], restrictoption=[u'nonInit', u'simulateLakes'], operation=['']),
                      u'MassBalanceMMTSS': TimeSeries(name=u'MassBalanceMMTSS', output_var=u'MBErrorMM', where=u'Catchments', repoption=[u'repMBTs'], restrictoption=[u'nonInit'], operation=[u'']),
                      u'PF1AvUpsTS': TimeSeries(name=u'PF1AvUpsTS', output_var=u'pF1[0]', where=u'Gauges', repoption=[u'repPFUpsGauges'], restrictoption=[u'nonInit', u'simulatePF'], operation=[u'total']),
                      u'PF1ForestAvUpsTS': TimeSeries(name=u'PF1ForestAvUpsTS', output_var=u'pF1[1]', where=u'Gauges', repoption=[u'repPFUpsGauges'], restrictoption=[u'nonInit', u'simulatePF'], operation=[u'total']),
                      u'PF1ForestTS': TimeSeries(name=u'PF1ForestTS', output_var=u'pF1[1]', where=u'Sites', repoption=[u'repPFSites'], restrictoption=[u'nonInit', u'simulatePF'], operation=['']),
                      u'PF1TS': TimeSeries(name=u'PF1TS', output_var=u'pF1[0]', where=u'Sites', repoption=[u'repPFSites'], restrictoption=[u'nonInit', u'simulatePF'], operation=['']),
                      u'PF2AvUpsTS': TimeSeries(name=u'PF2AvUpsTS', output_var=u'pF2[0]', where=u'Gauges', repoption=[u'repPFUpsGauges'], restrictoption=[u'nonInit', u'simulatePF'], operation=[u'total']),
                      u'PF2ForestAvUpsTS': TimeSeries(name=u'PF2ForestAvUpsTS', output_var=u'pF2[1]', where=u'Gauges', repoption=[u'repPFUpsGauges'], restrictoption=[u'nonInit', u'simulatePF'], operation=[u'total']),
                      u'PF2ForestTS': TimeSeries(name=u'PF2ForestTS', output_var=u'pF2[1]', where=u'Sites', repoption=[u'repPFSites'], restrictoption=[u'nonInit', u'simulatePF'], operation=['']),
                      u'PF2TS': TimeSeries(name=u'PF2TS', output_var=u'pF2[0]', where=u'Sites', repoption=[u'repPFSites'], restrictoption=[u'nonInit', u'simulatePF'], operation=['']),
                      u'PercolationAvUpsTS': TimeSeries(name=u'PercolationAvUpsTS', output_var=u'SeepTopToSubPixelB', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'PercolationTS': TimeSeries(name=u'PercolationTS', output_var=u'SeepTopToSubPixelB', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'PolderFluxTS': TimeSeries(name=u'PolderFluxTS', output_var=u'PolderFlux', where=u'PolderSites', repoption=[u'repsimulatePolders'], restrictoption=[u'nonInit', u'simulatePolders'], operation=['']),
                      u'PolderLevelTS': TimeSeries(name=u'PolderLevelTS', output_var=u'PolderLevel', where=u'PolderSites', repoption=[u'repsimulatePolders'], restrictoption=[u'nonInit', u'simulatePolders'], operation=['']),
                      u'PrecipitationAvUpsTS': TimeSeries(name=u'PrecipitationAvUpsTS', output_var=u'Precipitation', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u''], operation=[u'total']),
                      u'PrefFlowAvUpsTS': TimeSeries(name=u'PrefFlowAvUpsTS', output_var=u'PrefFlowPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'PrefFlowTS': TimeSeries(name=u'PrefFlowTS', output_var=u'PrefFlowPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'RainAvUpsTS': TimeSeries(name=u'RainAvUpsTS', output_var=u'Rain', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'RainTS': TimeSeries(name=u'RainTS', output_var=u'Rain', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'ReservoirFillTS': TimeSeries(name=u'ReservoirFillTS', output_var=u'ReservoirFill', where=u'ReservoirSites', repoption=[u'repsimulateReservoirs'], restrictoption=[u'nonInit', u'simulateReservoirs'], operation=['']),
                      u'ReservoirInflowTS': TimeSeries(name=u'ReservoirInflowTS', output_var=u'ReservoirInflowM3S', where=u'ReservoirSites', repoption=[u'repsimulateReservoirs'], restrictoption=[u'nonInit', u'simulateReservoirs'], operation=['']),
                      u'ReservoirOutflowTS': TimeSeries(name=u'ReservoirOutflowTS', output_var=u'ReservoirOutflowM3S', where=u'ReservoirSites', repoption=[u'repsimulateReservoirs'], restrictoption=[u'nonInit', u'simulateReservoirs'], operation=['']),
                      u'RunLossUpsTS': TimeSeries(name=u'RunLossUpsTS', output_var=u'TotalRunoff+self.var.GwLossPixel', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'SeepSubToGWAvUpsTS': TimeSeries(name=u'SeepSubToGWAvUpsTS', output_var=u'SeepSubToGWPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'SeepSubToGWTS': TimeSeries(name=u'SeepSubToGWTS', output_var=u'SeepSubToGWPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'SnowAvUpsTS': TimeSeries(name=u'SnowAvUpsTS', output_var=u'Snow', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'SnowCoverAvUpsTS': TimeSeries(name=u'SnowCoverAvUpsTS', output_var=u'SnowCover', where=u'Gauges', repoption=[u'repStateUpsGauges'], restrictoption=[u''], operation=[u'total']),
                      u'SnowCoverTS': TimeSeries(name=u'SnowCoverTS', output_var=u'SnowCover', where=u'Sites', repoption=[u'repStateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'SnowTS': TimeSeries(name=u'SnowTS', output_var=u'Snow', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'SnowmeltAvUpsTS': TimeSeries(name=u'SnowmeltAvUpsTS', output_var=u'SnowMelt', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'SnowmeltTS': TimeSeries(name=u'SnowmeltTS', output_var=u'SnowMelt', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'StepsSoilTS': TimeSeries(name=u'StepsSoilTS', output_var=u'NoSubSteps', where=u'1', repoption=[u'repInternalCom'], restrictoption=[''], operation=[u'mapmaximum']),
                      u'StepsWaterUseTS': TimeSeries(name=u'StepsWaterUseTS', output_var=u'NoWaterUseExe', where=u'1', repoption=[u'repInternalCom'], restrictoption=[u'nonInit', u'wateruse'], operation=[u'']),
                      u'SurfaceRunoffAvUpsTS': TimeSeries(name=u'SurfaceRunoffAvUpsTS', output_var=u'SurfaceRunoff', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u''], operation=[u'total']),
                      u'SurfaceRunoffTS': TimeSeries(name=u'SurfaceRunoffTS', output_var=u'SurfaceRunoff', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'TaAvUpsTS': TimeSeries(name=u'TaAvUpsTS', output_var=u'TaPixel', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'TaTS': TimeSeries(name=u'TaTS', output_var=u'TaPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'TavgAvUpsTS': TimeSeries(name=u'TavgAvUpsTS', output_var=u'Tavg', where=u'Gauges', repoption=[u'repMeteoUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'TotalRunoffAvUpsTS': TimeSeries(name=u'TotalRunoffAvUpsTS', output_var=u'TotalRunoff', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u''], operation=[u'total']),
                      u'TotalRunoffTS': TimeSeries(name=u'TotalRunoffTS', output_var=u'TotalRunoff', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'UZOutflowAvUpsTS': TimeSeries(name=u'UZOutflowAvUpsTS', output_var=u'UZOutflowPixel', where=u'Gauges', repoption=[u'repRateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'UZOutflowTS': TimeSeries(name=u'UZOutflowTS', output_var=u'UZOutflowPixel', where=u'Sites', repoption=[u'repRateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'WaterDepthAvUpsTS': TimeSeries(name=u'WaterDepthAvUpsTS', output_var=u'WaterDepth', where=u'Gauges', repoption=[u'repStateUpsGauges'], restrictoption=[u'nonInit'], operation=[u'total']),
                      u'WaterDepthTS': TimeSeries(name=u'WaterDepthTS', output_var=u'WaterDepth', where=u'Sites', repoption=[u'repStateSites'], restrictoption=[u'nonInit'], operation=['']),
                      u'WaterLevelTS': TimeSeries(name=u'WaterLevelTS', output_var=u'WaterLevel', where=u'Gauges', repoption=[u'repWaterLevelTs'], restrictoption=[u'nonInit', u'simulateWaterLevels'], operation=['']),
                      u'WaterMassBalanceTSS': TimeSeries(name=u'WaterMassBalanceTSS', output_var=u'MBError', where=u'Catchments', repoption=[u'repMBTs'], restrictoption=[u'nonInit'], operation=[u'']),
                      u'WaterUseSitesTS': TimeSeries(name=u'WaterUseSitesTS', output_var=u'WUseSumM3', where=u'Sites', repoption=[u'repwateruseSites'], restrictoption=[u'nonInit', u'wateruse'], operation=['']),
                      u'WaterUseTS': TimeSeries(name=u'WaterUseTS', output_var=u'WUseSumM3', where=u'Gauges', repoption=[u'repwateruseGauges'], restrictoption=[u'nonInit', u'wateruse'], operation=['']),
                      u'actETPUpsTS': TimeSeries(name=u'actETPUpsTS', output_var=u'ESActPixel+self.var.TaPixel+self.var.TaInterceptionAll+self.var.EvaAddM3*self.var.M3toMM', where=u'Gauges', repoption=[u'repBal1'], restrictoption=[u'nonInit'], operation=[u'total'])},
    u'useWaterDemandAveYear': False,
    u'varfractionwater': False,
    u'wateruse': False,
    u'wateruseRegion': False,
    u'writeNetcdf': False,
    u'writeNetcdfStack': False}
